-----------------------------------------------------------------------------------------------------------------
--! @file clock_management.vhd
--! @brief Clock generator module
-----------------------------------------------------------------------------------------------------------------

--! Use standard library.
library ieee;
	--! Use std_[U]logic[_vector].
	use ieee.std_logic_1164.all;

--! @addtogroup core_services
--! @ref clock_management
--
        
--! @brief Clock manager.
--! @details Derives internal clock from externally available clock
entity clock_management is
	port (
		base_clock : in std_logic;	--! Oscillator generated clock input
		derived_clock : out std_logic; --! PLL-generated clock output
		clock_available : out std_logic --! Clock output is estable
	);
end entity clock_management;

--! @brief Nothing to say
architecture Behavioural of clock_management is

begin  -- Behavioural

  

end Behavioural;
