-----------------------------------------------------------------------------------------------------------------
--! @file reset_management.vhd
--! @brief Reset generator module
-----------------------------------------------------------------------------------------------------------------

--! Use standard library.
library ieee;
	--! Use std_[U]logic[_vector].
	use ieee.std_logic_1164.all;

--! @addtogroup security_services
--! @ref reset_management
--
        
--!  @brief Reset manager.
--!  @details Derives internal clock from externally available clock
entity reset_management is
	port (
		clock : in std_logic;	--! Global clock input
		clock_available : in std_logic;  --! Clock input is estable
		internal_reset : out std_logic;  --! Reset output
	);
end entity reset_management;

--! @brief Nothing to say at all
architecture Behavioural of reset_management is

begin  -- Behavioural


end Behavioural;

